{% extends 'base.html' %}
{% load static %}

{% block title %}
Request an Exchange | Booked
{% endblock %}

{% block content %}
<div class="container-fluid">
    <div class="row">
        <div class="col-xs-12">
            <div class='parallax'>
                <!-- <img src="{% static 'img/books_home.jpg' %}" style='width:100%;' alt=""/> -->
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-xs-12">
            <div class="absolute">
                <div class="parallaxWhite">
                    <h2>{{ book.title }} by {{ book.author }}</h2>
                    <h2>Lenders</h2>
                    <table class='table table-responsive table-striped table-hover'>
                        <thead>
                            <th>Pen Name</th>
                            <th>Request</th>
                        </thead>
                        {% for p,alreadyRequested in people %}
                        <tr>
                            <td>{{ p.penName }}</td>
                            {% if not alreadyRequested %}
                            <td> <button type="button" class='btn btn-lg btn-info'>
                                    <a href='/books/{{ book.id }}/exchange/{{ p.id }}' style='color: inherit !important'>Request</a>
                                </button></td>
                                {% else %}
                            <td> <button disabled type="button" class='btn btn-lg btn-info'>
                                    <a href='#' style='color: inherit !important'>Already Requested</a>
                                </button></td>
                                {% endif %}
                        </tr>
                        {% endfor %}
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>

<!-- Container element -->
<div class="parallax"></div>

{% endblock %}
